Subject: RE: [Sipping] WGLC closed, requesting IETF LC on draft-ietf-sip ping-3pcc-00.txt

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Fri, 24 May 2002 11:49:36 +0100

Hang on, hang on.

This is the SIPPING group. We should be discussing whether we have adequately captured the requirements, not about what the protocol solution is.

How about saving that for the SIP group.

Keith

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 16 May 2002 15:15
> To: [email-masked]
> Cc: Bert Culpepper; 'Bob Penfield'; 'Roy, Radhika R, ALASO'; 'Sipping
> (E-mail)'
> Subject: Re: [Sipping] WGLC closed, requesting IETF LC on
> draft-ietf-sipping-3pcc-00.txt
> 
> 
> 
> 
> Eric Burger wrote:
> > 
> > My $0.02:
> > 
> > 1. From RFC2976:
> >      The intent of the INFO method is to allow for the carrying
> >      of session related control information that is generated
> >      during a session.
> > 
> > That tells me that a media server telling an application server that
> > something's happened is very much in scope.
> 
> To be honest, I really regret that we ever published INFO as 
> an RFC. It
> has become the repository for people to do all kinds of non-standard,
> non-interoperable stuff and call it "standards based". I have proposed
> that RFC 2976 be revved to tighten its usage scenarios, and I 
> feel even
> more strongly now based on this discussion. In fact, I would go so far
> as to propose that INFO be limited to ONLY carry PSTN signaling as in
> the current SIP-T usage. If you want to do anything else, we need to
> look at the specific problem and define the appropriate mechanism for
> it.
> 
> > 
> > 2. There are many, many implementations using the INFO 
> method for just
> > this
> > purpose.  I offer "working code" as a counter argument to 
> ignoring it.
> 
> I must have missed the draft which has proposed the INFO method usage
> for control of media servers. Oh, wait, its INFO - its already an RFC,
> no more spec work required! Silly me.
> 
> > 
> > 3. Again, from RFC2796:
> >      The purpose of the INFO message is to carry application level
> >      information along the SIP signaling path.
> > 
> >      The INFO method is not used to change the state of SIP 
> calls, or
> > the
> >      parameters of the sessions SIP initiates.  It merely 
> sends optional
> >      application layer information, generally related to 
> the session.
> > 
> > Many implementations that use the INFO method, particularly 
> between an
> > application server and a media server, use it as an 
> inter-application
> > signaling method.  For example, an application server can 
> use an INFO
> > message to direct a media server to play a prompt or invoke 
> a script.
> > SUBSCRIBE is not a correct answer (covered in another e-mail).
> > Re-INVITE is
> > a possibility, but is (a) way too heavy and (b) the 
> interaction neither
> > changes the *session* nor change the state of the session.  INFO is
> > correct
> > in that the interaction is *about* the session.
> 
> UPDATE is about "the session" too. I suppose your proposal is we just
> discard the UPDATE draft, since INFO already solves our problem? 
> 
> 
> > 
> > 4. Saying every interaction is a complete SIP session is impractical
> > from a
> > performance perspective.  Humans won't wait 50ms - 300ms 
> (depending on
> > your
> > SIP stack) between utterances within what they perceive to 
> be a single
> > session.  I can show you lots of non-working code for this one :-)
> 
> I am not sure what aspect of the draft you are referring to here.
> 
> In any case, the 3pcc draft is not about debating the uses of INFO. I
> don't want to hold up that draft on this point. So, I will modify the
> flow and text to discuss neither.
> 
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP